<?xml version="1.0" encoding="utf-8"?>

<merge
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="48dp"
    android:background="#00ff00"
    tools:parentTag="android.support.constraint.ConstraintLayout">

    <ImageButton
        android:id="@+id/btn_text_bold"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="12dp"
        android:background="@null"
        android:src="@drawable/ic_bold"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toLeftOf="@+id/btn_text_italic" />
    <ImageButton
        android:id="@+id/btn_text_italic"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="12dp"
        android:background="@null"
        android:src="@drawable/ic_italic"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/btn_text_bold" />
    <ImageButton
        android:id="@+id/btn_text_align_left"
        android:visibility="gone"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="12dp"
        android:background="@null"
        android:src="@drawable/ic_alignleft_accent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/btn_text_italic"
        app:layout_constraintRight_toLeftOf="@+id/btn_text_align_center" />
    <ImageButton
        android:id="@+id/btn_text_align_center"
        android:visibility="gone"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="12dp"
        android:background="@null"
        android:src="@drawable/ic_aligncenter"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/btn_text_align_left"
        app:layout_constraintRight_toLeftOf="@+id/btn_text_align_right" />
    <ImageButton
        android:id="@+id/btn_text_align_right"
        android:visibility="gone"
        android:layout_width="48dp"
        android:layout_height="48dp"
        android:padding="12dp"
        android:background="@null"
        android:src="@drawable/ic_alignright"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintLeft_toRightOf="@+id/btn_text_align_center"
        app:layout_constraintRight_toRightOf="parent" />

</merge>